Debian Bug report logs - #363581
ITP: tremulous -- Team based FPS game with elements of an RTS

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Damien Laniel <heretik@tuxfamily.org>

Date: Wed, 19 Apr 2006 21:18:12 UTC

Owned by: damien laniel <heretik@tuxfamily.org>

Severity: wishlist

Merged with 362781

Fixed in versions tremulous/1.1.0-1, tremulous-data/1.1.0-1

Done: Damien Laniel <heretik@tuxfamily.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, damien laniel <heretik@tuxfamily.org>:
Bug#363581; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Damien Laniel <heretik@tuxfamily.org>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, damien laniel <heretik@tuxfamily.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Damien Laniel <heretik@tuxfamily.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: tremulous -- Team based FPS game with elements of an RTS
Date: Wed, 19 Apr 2006 23:11:06 +0200
Package: wnpp
Severity: wishlist
Owner: Damien Laniel <heretik@tuxfamily.org>


* Package name    : tremulous
  Version         : 1.1.0
  Upstream Author : Name <somebody@example.org>
* URL             : http://tremulous.net/
* License         : GPL, CC
  Programming Lang: C, Asm
  Description     : Team based FPS game with elements of an RTS

 Tremulous is a free, open source game that blends a team based FPS with
 elements of an RTS. Players can choose from 2 unique races, aliens and humans.
 Players on both teams are able to build working structures in-game like an RTS.
 These structures provide many functions, the most important being spawning.
 The designated builders must ensure there are spawn structures or other players
 will not be able to rejoin the game after death. Other structures provide
 automated base defense (to some degree), healing functions and much more...
 .
 Player advancement is different depending on which team you are on. As a
 human, players are rewarded with credits for each alien kill. These credits
 may be used to purchase new weapons and upgrades from the "Armoury". The alien
 team advances quite differently. Upon killing a human foe, the alien is able
 to evolve into a new class. The more kills gained the more powerful the classes
 available.
 .
 The overall objective behind Tremulous is to eliminate the opposing team. This
 is achieved by not only killing the opposing players but also removing their
 ability to respawn by destroying their spawn structures.


-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.16-1-686
Locale: LANG=fr_FR.UTF-8@euro, LC_CTYPE=fr_FR.UTF-8@euro (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, damien laniel <heretik@tuxfamily.org>:
Bug#363581; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to heretik@tuxfamily.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, damien laniel <heretik@tuxfamily.org>. Full text and rfc822 format available.

Message #10 received at 363581@bugs.debian.org (full text, mbox):

From: Heretik <heretik@tuxfamily.org>
To: 363581@bugs.debian.org
Subject: Re: Bug#363581: ITP: tremulous -- Team based FPS game with elements of an RTS
Date: Thu, 20 Apr 2006 08:07:03 +0200
This ITP should close the RFP #362781 :
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=362781 ,
but I don't know how to close it explicitely

I don't know yet the upstream authors and copyright holders.

The media license seems not free :
- first there is the comment of Joachim in the RFP :

"The Data files are CC-SA-Attr licenced, so this would have to go to
non-free."

about this part of the COPYING file :

"The media is licensed under the CREATIVE COMMONS ATTRIBUTION-SHAREALIKE 2.5
LICENSE. Please read http://creativecommons.org/licenses/by-sa/2.5/ to learn
more about this license. The full license text is contained in the file named
CC. Please be aware of the exceptions to this license as listed below."

- second, another part of the COPYING file seems even less free :

"------------------------------- Media License Exceptions ---

All shaderlab (http://www.shaderlab.com/) textures (by Randy 'ydnar'
Reddig)
are subject to the following license:

  Usage and redistribution policy: Textures may be freely downloaded,
modified,
  and used in free maps, mods or total conversions provided this
copyright
  notice is left intact and a link to Shaderlab is provided in the
credits or
  read-me file. Other non-commercial applications are considered on a
  case-by-case basis via e-mail. All other usage requires written
permission.
  Bulk redistribution or archival of the textures in any medium, digital
or
  otherwise (except mapping packages for mods) is prohibited."



But I've been told by someone that Randy is thinking about changing this
part


I'll write to debian-legal when I get more information about this.

-- 
Heretik <heretik@tuxfamily.org>




Merged 362781 363581. Request was from Thomas Huriaux <thomas.huriaux@gmail.com> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, damien laniel <heretik@tuxfamily.org>:
Bug#363581; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to heretik@tuxfamily.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, damien laniel <heretik@tuxfamily.org>. Full text and rfc822 format available.

Message #17 received at 363581@bugs.debian.org (full text, mbox):

From: Heretik <heretik@tuxfamily.org>
To: 363581@bugs.debian.org
Subject: Re: Bug#363581: ITP: tremulous -- Team based FPS game with elements of an RTS
Date: Thu, 20 Apr 2006 20:33:35 +0200
Upstream authors are : Tim 'Timbo' Angus <tim@ngus.net>

-- 
Heretik <heretik@tuxfamily.org>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, damien laniel <heretik@tuxfamily.org>:
Bug#363581; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to heretik@tuxfamily.org:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, damien laniel <heretik@tuxfamily.org>. Full text and rfc822 format available.

Message #22 received at 363581@bugs.debian.org (full text, mbox):

From: Heretik <heretik@tuxfamily.org>
To: 363581@bugs.debian.org
Subject: Re: Bug#363581: ITP: tremulous -- Team based FPS game with elements of an RTS
Date: Fri, 05 May 2006 00:06:01 +0200
Upstream author actually is : darklegion development (it's the name of
the team).
And Tim 'Timbo' Angus <tim@ngus.net> is the project leader / maintainer.


Packages are ready, you can find them at :
http://people.debian.org/~acid/

If anyone is tracking this ITP, please beta test the packages and send
me some comments to improve them.

I will have them uploaded into Debian in a few days, probably on
tuesday.

-- 
Heretik <heretik@tuxfamily.org>




Reply sent to Damien Laniel <heretik@tuxfamily.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Damien Laniel <heretik@tuxfamily.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #27 received at 363581-close@bugs.debian.org (full text, mbox):

From: Damien Laniel <heretik@tuxfamily.org>
To: 363581-close@bugs.debian.org
Subject: Bug#363581: fixed in tremulous 1.1.0-1
Date: Sat, 08 Jul 2006 09:18:56 -0700
Source: tremulous
Source-Version: 1.1.0-1

We believe that the bug you reported is fixed in the latest version of
tremulous, which is due to be installed in the Debian FTP archive:

tremulous-doc_1.1.0-1_all.deb
  to pool/contrib/t/tremulous/tremulous-doc_1.1.0-1_all.deb
tremulous-server_1.1.0-1_i386.deb
  to pool/contrib/t/tremulous/tremulous-server_1.1.0-1_i386.deb
tremulous_1.1.0-1.diff.gz
  to pool/contrib/t/tremulous/tremulous_1.1.0-1.diff.gz
tremulous_1.1.0-1.dsc
  to pool/contrib/t/tremulous/tremulous_1.1.0-1.dsc
tremulous_1.1.0-1_i386.deb
  to pool/contrib/t/tremulous/tremulous_1.1.0-1_i386.deb
tremulous_1.1.0.orig.tar.gz
  to pool/contrib/t/tremulous/tremulous_1.1.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 363581@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damien Laniel <heretik@tuxfamily.org> (supplier of updated tremulous package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Apr 2006 21:42:53 +0200
Source: tremulous
Binary: tremulous-server tremulous tremulous-doc
Architecture: source all i386
Version: 1.1.0-1
Distribution: unstable
Urgency: low
Maintainer: Damien Laniel <heretik@tuxfamily.org>
Changed-By: Damien Laniel <heretik@tuxfamily.org>
Description: 
 tremulous  - Aliens vs Humans, team based FPS game with elements of an RTS
 tremulous-doc - Tremulous documentation
 tremulous-server - Tremulous server
Closes: 363581
Changes: 
 tremulous (1.1.0-1) unstable; urgency=low
 .
   * Initial release Closes: #363581
   * Made 4 packages : client, server, datas (non-free, different source package) and docs
   * Argued with upstream authors about the data license :
     - The media license exception has been changed to CC-Sa 2.5
     - Datas under CC-Sa 2.5 will become CC 3 when it will be out
     - The tools used to build the qvm files are still non-free but don't need to be included in Debian
Files: 
 0a0e0cb074546e8d8d876e7adf1f8190 640 contrib/games optional tremulous_1.1.0-1.dsc
 080778b5f260909c24610ffeee99ebdd 2930891 contrib/games optional tremulous_1.1.0.orig.tar.gz
 ef0d79c2511bd38d4f00e6c5ee8f4012 17843 contrib/games optional tremulous_1.1.0-1.diff.gz
 f7bb270188cbb5e8b6e668d19b71894e 1108852 contrib/games optional tremulous_1.1.0-1_i386.deb
 03ed04098635275bbf56396587b0ac7a 320240 contrib/games optional tremulous-server_1.1.0-1_i386.deb
 995e7a4ae5f16fd17608ea2a090065df 639864 contrib/games optional tremulous-doc_1.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEctF9pGK1HsL+5c0RAlCVAKCqrkvQ/dg4h/uJ65Bd46wUnxCNLgCeNRTd
dEuOKH0H/mjBu4mMziDJzHI=
=7YQZ
-----END PGP SIGNATURE-----




Reply sent to Damien Laniel <heretik@tuxfamily.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Reply sent to Damien Laniel <heretik@tuxfamily.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Damien Laniel <heretik@tuxfamily.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #37 received at 363581-close@bugs.debian.org (full text, mbox):

From: Damien Laniel <heretik@tuxfamily.org>
To: 363581-close@bugs.debian.org
Subject: Bug#363581: fixed in tremulous-data 1.1.0-1
Date: Fri, 14 Jul 2006 16:35:33 -0700
Source: tremulous-data
Source-Version: 1.1.0-1

We believe that the bug you reported is fixed in the latest version of
tremulous-data, which is due to be installed in the Debian FTP archive:

tremulous-data_1.1.0-1.diff.gz
  to pool/non-free/t/tremulous-data/tremulous-data_1.1.0-1.diff.gz
tremulous-data_1.1.0-1.dsc
  to pool/non-free/t/tremulous-data/tremulous-data_1.1.0-1.dsc
tremulous-data_1.1.0-1_all.deb
  to pool/non-free/t/tremulous-data/tremulous-data_1.1.0-1_all.deb
tremulous-data_1.1.0.orig.tar.gz
  to pool/non-free/t/tremulous-data/tremulous-data_1.1.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 363581@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Damien Laniel <heretik@tuxfamily.org> (supplier of updated tremulous-data package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 19 Apr 2006 21:42:53 +0200
Source: tremulous-data
Binary: tremulous-data
Architecture: source all
Version: 1.1.0-1
Distribution: unstable
Urgency: low
Maintainer: Damien Laniel <heretik@tuxfamily.org>
Changed-By: Damien Laniel <heretik@tuxfamily.org>
Description: 
 tremulous-data - Tremulous datas
Closes: 363581
Changes: 
 tremulous-data (1.1.0-1) unstable; urgency=low
 .
   * Initial release Closes: #363581
   * Made 4 packages : client, server, datas and docs
   * Argued with upstream authors about the data license :
     - The media license exception has been changed to CC-Sa 2.5
     - Datas under CC-Sa 2.5 will become CC 3 when it will be out
     - The tools used to build the qvm files are still non-free but don't need to be included in Debian
   * Included the CC-Sa 2.5 license into the debian/copyright file
Files: 
 d29632a29ae4c19975c5ea4e743d3096 598 non-free/games optional tremulous-data_1.1.0-1.dsc
 4e6dbe21f196dbb3ff28cd3ddae4a029 100857326 non-free/games optional tremulous-data_1.1.0.orig.tar.gz
 3c590567fc03bb07300741a610bcdf68 7255 non-free/games optional tremulous-data_1.1.0-1.diff.gz
 354738124cd5cc93cc5997b8379dcfe0 100913266 non-free/games optional tremulous-data_1.1.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEt5unpGK1HsL+5c0RAuVyAKCmWxXjFN9h3Q+SyUb7OxyI9DO7ngCgjm52
h5pHs2DELveMIdZVIM+0OHg=
=OYS8
-----END PGP SIGNATURE-----




Reply sent to Damien Laniel <heretik@tuxfamily.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Joachim Breitner <nomeata@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 03:50:08 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:00:22 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.